Loading...
Searching...
No Matches
Opm::VelocityInterpolationConstant Class Reference

A constant velocity approximation. More...

`#include <VelocityInterpolation.hpp>`

Inheritance diagram for Opm::VelocityInterpolationConstant:

## Public Member Functions

| VelocityInterpolationConstant (const UnstructuredGrid &grid)
| Constructor.
void | setupFluxes (const double *flux) override
| Set up fluxes for interpolation.
void | interpolate (const int cell, const double *x, double *v) const override
| Interpolate velocity.

## Detailed Description

A constant velocity approximation.

Will not actually interpolate unless the fluxes are consistent with a constant velocity.

## Constructor & Destructor Documentation

## VelocityInterpolationConstant()

Opm::VelocityInterpolationConstant::VelocityInterpolationConstant | ( | const UnstructuredGrid & | grid | ) |

explicit

Constructor.

Parameters

  [in] | grid | A grid.

## Member Function Documentation

## interpolate()

void Opm::VelocityInterpolationConstant::interpolate | ( | const int | cell,
|  | const double * | x,
|  | double * | v ) const

override virtual

Interpolate velocity.

Parameters

  [in] | cell | Cell in which to interpolate.
  [in] | x | Coordinates of point at which to interpolate. Must be array of length grid.dimensions.
  [out] | v | Interpolated velocity. Must be array of length grid.dimensions.

Implements Opm::VelocityInterpolationInterface.

## setupFluxes()

void Opm::VelocityInterpolationConstant::setupFluxes | ( | const double * | flux | ) |

override virtual

Set up fluxes for interpolation.

Parameters

  [in] | flux | One signed flux per face in the grid.

Implements Opm::VelocityInterpolationInterface.

The documentation for this class was generated from the following files:

- opm/grid/utility/VelocityInterpolation.hpp
- opm/grid/utility/VelocityInterpolation.cpp